// Standard C++ Library
//
// Copyright (c) 1994
// Hewlett-Packard Company
//
// Copyright (c) 1997
// Silicon Graphics Computer Systems, Inc.
//
// Copyright (c) 2003-2004
// Elijah Zarezky
//
// This material is provided "as is", with absolutely no warranty
// expressed or implied. Any use is at your own risk.
//
// Permission to use, copy, modify, distribute and sell this software
// and its documentation for any purpose is hereby granted without fee,
// provided that the above copyright notice appear in all copies and
// that both that copyright notice and this permission notice appear
// in supporting documentation.
//
// Permission to to distribute modified code is granted, provided the
// above notices are retained, and a notice that the code was modified
// is included with the above copyright notice.

#ifndef __SGI_STL_HEAP_H
#define __SGI_STL_HEAP_H

#include <bits/stl_config.h>
#include <bits/stl_heap.h>

#ifdef __STL_USE_NAMESPACES

using __STD::push_heap;
using __STD::pop_heap;
using __STD::make_heap;
using __STD::sort_heap;

#endif /* __STL_USE_NAMESPACES */

#endif /* __SGI_STL_HEAP_H */

// Local Variables:
// mode:C++
// End:
