// Standard C++ Library
//
// Copyright (c) 1998
// Silicon Graphics Computer Systems, Inc.
//
// Copyright (c) 2003-2004
// Elijah Zarezky
//
// This material is provided "as is", with absolutely no warranty
// expressed or implied. Any use is at your own risk.
//
// Permission to use, copy, modify, distribute and sell this software
// and its documentation for any purpose is hereby granted without fee,
// provided that the above copyright notice appear in all copies and
// that both that copyright notice and this permission notice appear
// in supporting documentation.
//
// Permission to to distribute modified code is granted, provided the
// above notices are retained, and a notice that the code was modified
// is included with the above copyright notice.

#include <bits/stl_config.h>
#include <bits/stl_range_errors.h>
#include <stdexcept>

#if defined(__STL_THROW_RANGE_ERRORS) && \
    defined(__sgi) && !defined(__GNUC__) && \
    _COMPILER_VERSION >= 730 && defined(_STANDARD_C_PLUS_PLUS)

__STL_BEGIN_NAMESPACE

void __stl_throw_range_error(const char* msg)
{
  throw range_error(msg);
}

void __stl_throw_length_error(const char* msg)
{
  throw length_error(msg);
}

__STL_END_NAMESPACE

#endif

// Local Variables:
// mode:C++
// End:
